Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class ListenerDescription

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.ListenerDescription

    public class ListenerDescription

extends Object

Listener Description

Constructor Summary
`ListenerDescription()`

Method Summary
`Listener` | `getListener()` Returns the value of the Listener property for this object.
`List<String>` | `getPolicyNames()` Returns the value of the PolicyNames property for this object.
`void` | `setListener(Listener listener)` Sets the value of the Listener property for this object.
`void` | `setPolicyNames(Collection<String> policyNames)` Sets the value of the PolicyNames property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListenerDescription` | `withListener(Listener listener)` Sets the value of the Listener property for this object.
`ListenerDescription` | `withPolicyNames(Collection<String> policyNames)` Sets the value of the PolicyNames property for this object.
`ListenerDescription` | `withPolicyNames(String... policyNames)` Sets the value of the PolicyNames property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListenerDescription

    public ListenerDescription()

Method Detail

### getListener

    public Listener getListener()

  Returns the value of the Listener property for this object.

  Returns:
    The value of the Listener property for this object.

### setListener

    public void setListener(Listener listener)

  Sets the value of the Listener property for this object.

  Parameters:
    `listener` - The new value for the Listener property for this object.

### withListener

    public ListenerDescription withListener(Listener listener)

  Sets the value of the Listener property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `listener` - The new value for the Listener property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPolicyNames

    public List<String> getPolicyNames()

  Returns the value of the PolicyNames property for this object.

  Returns:
    The value of the PolicyNames property for this object.

### setPolicyNames

    public void setPolicyNames(Collection<String> policyNames)

  Sets the value of the PolicyNames property for this object.

  Parameters:
    `policyNames` - The new value for the PolicyNames property for this object.

### withPolicyNames

    public ListenerDescription withPolicyNames(String... policyNames)

  Sets the value of the PolicyNames property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `policyNames` - The new value for the PolicyNames property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withPolicyNames

    public ListenerDescription withPolicyNames(Collection<String> policyNames)

  Sets the value of the PolicyNames property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `policyNames` - The new value for the PolicyNames property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.